Datatype column in the postgresql source select dialog
Status: Closed

Priority: Normal
Category: Data Provider/PostGIS

Pull Request or Patch supplied:No Resolution: fixed

Easy fix?: No Copied to github as #: 14445

Description

Since postgresql provider now supports geometry, geography and topogeometry, it'd be helpful to have the indication about the actual

datatype in the source select dialog, side by side with spatial type.

History

#1 - 2011-12-09 08:28 AM - Paolo Cavallini

- Category set to Data Provider/PostGIS

#2 - 2012-10-06 02:16 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#3 - 2012-10-31 02:53 PM - Sandro Santilli

NOTE: as of commit:b47b43997e71f0f042d89df898371512fe259512 the data type information is available as part of QgsPostgresProvider

#4 - 2012-11-02 10:01 AM - Sandro Santilli

- Target version changed from Future Release - Nice to have to Version 2.0.0

- Status changed from Open to Closed

- Resolution set to fixed

- % Done changed from 0 to 100

I don't know since when but as of current master I do see the information in a column called "Geometry Type".

Haven't checked in 1.8 but it's surely in 2.0

#5 - 2012-11-02 10:08 AM - Sandro Santilli

- Assignee set to Jürgen Fischer

Found: just committed by jef, with a shy commit message :)

for the record, it is commit:62ebf889740f3b89b99136f047ca60f75c409c3e
